FLANG

Public Member Functions | List of all members
Fortran::parser::MessageFormattedText Class Reference

## Public Member Functions
template<typename... A>
| MessageFormattedText (const MessageFixedText &text, A &&... x)
| MessageFormattedText (const MessageFormattedText &)=default
| MessageFormattedText (MessageFormattedText &&)=default
MessageFormattedText & | operator= (const MessageFormattedText &)=default
MessageFormattedText & | operator= (MessageFormattedText &&)=default
const std::string & | string () const
bool | isFatal () const
std::string | MoveString ()

The documentation for this class was generated from the following files:

- include/flang/Parser/message.h
- lib/Parser/message.cpp